.type-dropdown {
  display: block;
  width: 100%;
  appearance: none;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  font-size: var(--fs-21);
  font-family: "Futura-Book";
}
@media (max-width: 1200px) {
  .type-dropdown {
    font-size: var(--fs-18);
  }
}
.type-dropdown button {
  background-color: transparent !important;
  width: 100%;
  border: none;
  padding: 0 !important;
}

.multiselect::after {
  display: none !important;
}
select.multiselect{
  display: none !important;
}

.type-dropdown .multiselect-native-select {
  width: 100%;
}
.multiselect-selected-text {
  color: var(--bs-gray-100);
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 88% !important;
  display: block;
  text-align: left;
  padding-left: 0px;
  text-transform: capitalize;
  padding-right: 10px;
  width: 130px;
}
.type-dropdown .btn-group {
  width: 100%;
}
.type-dropdown ul {
  width: 100%;
  max-height: 245px;
  overflow-y: auto;
}
.type-dropdown ul label {
  padding: 3px 13px 3px 14px !important;
  font-family: "Futura-book";
  font-size: var(--fs-21);
  color: var(--bs-gray-100);
}
@media (max-width: 1200px) {
  .type-dropdown ul label {
    font-size: var(--fs-18);
  }
}

.type-dropdown ul .active label {
  color: var(--bs-white);
}

span.multiselect-native-select {
  position: relative;
}
.type-dropdown .dropdown-menu {
  border: none !important;
  border-radius: 0px !important;
  box-shadow: 15px 11px 25px #0000003f;
}

span.multiselect-native-select select {
  border: 0 !important;
  clip: rect(0 0 0 0) !important;
  height: 1px !important;
  margin: -1px -1px -1px -3px !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  width: 1px !important;
  left: 50%;
  top: 30px;
}

.multiselect-container {
  position: absolute;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.multiselect-container .input-group {
  margin: 5px;
}

.multiselect-container .multiselect-reset .input-group {
  width: 93%;
}

.multiselect-container > li {
  padding: 0;
}

.multiselect-container > li.active {
  background-color: var(--bs-primary-400);
}

.multiselect-container > li > a.multiselect-all label {
  font-weight: 700;
}

.multiselect-container > li.multiselect-group label {
  margin: 0;
  padding: 3px 20px;
  height: 100%;
  font-weight: 700;
}

.multiselect-container > li.multiselect-group-clickable label {
  cursor: pointer;
}

.multiselect-container > li > a {
  padding: 0;
  width: 100%;
}

.multiselect-container > li > a > label {
  margin: 0;
  height: 100%;
  cursor: pointer;
  font-weight: 400;
  padding: 3px 20px 3px 40px;
  width: 100%;
  word-wrap: break-word;
}

.multiselect-container > li > a > label.checkbox,
.multiselect-container > li > a > label.radio {
  margin: 0;
}

.multiselect-container > li > a > label > input[type="checkbox"],
.multiselect-container > li > a > label > input[type="radio"] {
  margin-bottom: 5px;
  display: none;
}
.multiselect-container > li > a > label > input[type="checkbox"]:checked {
  accent-color: var(--bs-primary) !important;
}

.btn-group > .btn-group:nth-child(2) > .multiselect.btn {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.form-inline .multiselect-container label.checkbox,
.form-inline .multiselect-container label.radio {
  padding: 3px 20px 3px 40px;
}

.form-inline .multiselect-container li a label.checkbox input[type="checkbox"],
.form-inline .multiselect-container li a label.radio input[type="radio"] {
  margin-left: -20px;
  margin-right: 0;
}

.dropdown-menu li:hover, 
.multiselect-container:not(.multiselect-filter) li:hover
.multiselect-container:not(.multiselect-filter) li:focus {
  background-color: var(--bs-primary-100);
}

.dropdown-menu li:hover label,
.dropdown-menu li a:focus label {
  color: var(--bs-white) !important;
}
.multiselect-container li a:focus label,
.multiselect-container li a:active {
  background-color: var(--bs-primary-100);
}

/* select2 css */
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
  top: 2px !important;
  left: 5px !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice{
  z-index: 10;
}
.select2-container--default .select2-selection--multiple{
  border: none !important;
  background-color: transparent !important;
  height: auto !important;
  padding-right: 20px;
  min-height: 36px !important;
  padding-bottom: 0px !important;
  cursor: pointer;
}
.select2-selection__choice{
  max-width: calc(100% - 25px) !important;
}
.type-dropdown button{
  width: auto;
  border: none !important;
}
.select2-container .select2-search--inline .select2-search__field{
  height: auto !important;
}
.select2-selection{
  height: 36px !important;
  overflow: hidden;
  min-width: 142px;
}
.single-select2 .select2-selection{
  width: fit-content !important;
  min-width: fit-content !important;
}
.select2-container--default{
  font-size: 16px;
}
.select2-container .select2-selection--multiple .select2-selection__rendered{
  overflow: hidden !important;
  display: inline-block;
  /* bottom: -10px; */
  padding-right: 20px;
  display: flex !important;
  flex-wrap: wrap !important;
  align-items: center !important;
  gap: 2px;
  max-height: 145px !important;
  overflow-y: auto !important;
  overflow-x: hidden !important;
  padding: 0 !important;
  position: relative !important;
  top: 0 !important;
  width: 100% !important;
}
.select2-container--default.select2-container--focus .select2-selection--multiple{
  border: none !important;
}

.select2-container--default .select2-results__option--selected {
  background-color: transparent !important;
  color: var(--bs-gray-900);
  border-radius: 10px;
}
/* .select2-results__option {
  padding-block: 6px;
  padding-left: 21px;
  padding-right: 16px;
} */

.select2-results__option {
  padding: 0;
}

.select2-results__option.select2-results__option--highlighted{
  background-color: var(--bs-primary-150) !important;
  border-radius: 10px;
}

.select2-results__option.select2-results__option--highlighted label span{
  color: var(--bs-white) !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover, .select2-container--default .select2-selection--multiple .select2-selection__choice__remove:focus{
  background-color: transparent !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
     border-right: none !important;
}

.select2.select2-container.select2-container--default::after{
  content: "";
  width: 9px;
  height: 8px;
  border-left: 2px solid #9d9d9d;
  transform: rotate(-41deg);
  border-bottom: 2px solid #9d9d9d;
  display: flex;
  position: absolute;
  pointer-events: none !important;
  top: 12px;
  right: 4px;
}
.single-select2 .select2.select2-container.select2-container--default::after{
  top: 28% !important;
}
.select2-container--default .select2-results>.select2-results__options{
  min-width: 160px !important;
  max-width: 282px !important;
  max-height: 170px;
  overflow-y: auto;
}

.hero-section-box .select-dropdown {
  max-width: 218px;
}

@media (max-width: 991px) {
  .select2-container--default .select2-results>.select2-results__options{
    min-width: 100% !important;
    max-width: 100% !important;
  }

  .hero-section-box .select-dropdown {
    max-width: unset;
  }
}

.select2-results__options label span{
  display: block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.select2-container--open .select2-dropdown{
  /* width: max-content !important; */
  min-width: max-content;
  border-radius: 10px;
}
.select2-container--default .select2-selection--single{
  border: none !important;
  display: flex !important;
  align-items: center;
  background-color: transparent !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow{
  display: none;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
  font-size: 21px;
  color: var(--bs-gray-100) !important;
}
.single-select2 .select2-container--default .select2-selection--single .select2-selection__rendered{
  width: calc(100% - 25px);
  min-width: 68px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
} 
.select2-container--default .select2-search--inline .select2-search__field{
  font-family: "Futura-Book" !important;
  font-size: 20px !important;
  text-transform: capitalize;
  color: var(--bs-gray-100) !important;
  z-index: 1;
  display: block;
  position: relative;
  top: -6px;
  height: 24px !important;
  line-height: 24px !important;
  min-height: 24px !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  white-space: nowrap !important;
}
.select2-results__options{
  font-family: "Futura-Book" !important;
  font-size: 20px;
  color: var(--bs-gray-900) !important;
}

@media (max-width: 575px) {
  .select2-container .select2-search--inline .select2-search__field {
    margin-left: 0px !important;
    margin-top: 2px !important;
  }
}
@media (max-width: 575px) {
  .select2-container {
    width: 100% !important;
  }
  .select2-container .select2-selection--multiple .select2-selection__rendered {
    max-height: 70px !important;
    padding-right: 15px !important;
    overflow-y: scroll !important; /* or auto */
    -webkit-overflow-scrolling: touch !important; /* enables momentum scrolling */
    scrollbar-width: thin !important; /* for Firefox */
    scrollbar-color: #888 transparent !important;

  }
  .select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    font-size: 18px !important;
  }
}

@media (min-width: 1024px) {
  
   
  /* Specific styling for location_group dropdown */
  .select2-dropdown--below.location-dropdown, .select2-dropdown--above.location-dropdown {
    min-width: 225px !important;
  }

  .select2-dropdown--below.city-dropdown, .select2-dropdown--above.city-dropdown {
    min-width: 225px !important;
  }
  .select2-dropdown--below.icon-select, .select2-dropdown--above.icon-select {
    left: -40px !important;
    min-width: 280px !important;
  }

  .select2-dropdown--below.price-dropdown, .select2-dropdown--above.price-dropdown {
    min-width: 170px !important;
    width: max-content !important;
  }

  .select2-dropdown--below.properties-option-select, .select2-dropdown--above.properties-option-select {
    left: -15px !important;
  }

  .select2-dropdown--below.properties-option-select, .select2-dropdown--above.properties-option-select {
    min-width: 275px !important;
    /* width: max-content !important; */
  }
}

.filter-icon{
  min-width: 30px;
  max-width: 30px;
  overflow: hidden;
}


/* scrollbar for the multi-select selected items */

  .select2-container
  .select2-selection--multiple
  .select2-selection__rendered::-webkit-scrollbar {
  width: 7px;
}

  .select2-container
  .select2-selection--multiple
  .select2-selection__rendered::-webkit-scrollbar-track {
  background-color: rgba(191, 191, 191, 0.3)!important;
}

  .select2-container
  .select2-selection--multiple
  .select2-selection__rendered::-webkit-scrollbar-thumb {
  background-color: #BFBFBF !important;
  border-radius: 10px;
}
.select2-container--default .select2-search--inline.hide-search-area .select2-search__field {
  height: 0px !important;
  min-height: 0px !important;
}
  